org.jboss.jca.core.tx.jbossts

## Class FirstResourceConnectableXAResourceWrapperStatImpl

- java.lang.Object
- - org.jboss.jca.core.tx.jbossts.XAResourceWrapperImpl
  - - org.jboss.jca.core.tx.jbossts.XAResourceWrapperStatImpl
    - - org.jboss.jca.core.tx.jbossts.ConnectableXAResourceWrapperStatImpl
      - - org.jboss.jca.core.tx.jbossts.FirstResourceConnectableXAResourceWrapperStatImpl

- All Implemented Interfaces:
    javax.transaction.xa.XAResource, org.jboss.tm.ConnectableResource, org.jboss.tm.FirstResource, org.jboss.tm.XAResourceWrapper

      public class FirstResourceConnectableXAResourceWrapperStatImpl
      extends ConnectableXAResourceWrapperStatImpl
      implements org.jboss.jca.core.spi.transaction.FirstResource, org.jboss.tm.FirstResource

  A first resource connectable XAResourceWrapper with statistics
  Author:
    Jesper Pedersen

- - ### Field Summary

    - ### Fields inherited from interface javax.transaction.xa.XAResource

      `TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FirstResourceConnectableXAResourceWrapperStatImpl(javax.transaction.xa.XAResource resource, boolean pad, java.lang.Boolean override, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, org.jboss.jca.core.spi.transaction.ConnectableResource cr, org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)` Creates a new wrapper instance.
    `FirstResourceConnectableXAResourceWrapperStatImpl(javax.transaction.xa.XAResource resource, boolean pad, java.lang.Boolean override, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, org.jboss.tm.ConnectableResource cr, org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)` Creates a new wrapper instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.jboss.jca.core.tx.jbossts.ConnectableXAResourceWrapperStatImpl

      `getConnection, setConnectableResourceListener`

    - ### Methods inherited from class org.jboss.jca.core.tx.jbossts.XAResourceWrapperStatImpl

      `commit, end, forget, prepare, recover, rollback, start`

    - ### Methods inherited from class org.jboss.jca.core.tx.jbossts.XAResourceWrapperImpl

      `getJndiName, getProductName, getProductVersion, getResource, getTransactionTimeout, isSameRM, setTransactionTimeout, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FirstResourceConnectableXAResourceWrapperStatImpl

          public FirstResourceConnectableXAResourceWrapperStatImpl(javax.transaction.xa.XAResource resource,
                                                                   boolean pad,
                                                                   java.lang.Boolean override,
                                                                   java.lang.String productName,
                                                                   java.lang.String productVersion,
                                                                   java.lang.String jndiName,
                                                                   org.jboss.jca.core.spi.transaction.ConnectableResource cr,
                                                                   org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)

      Creates a new wrapper instance.
      Parameters:
        `resource` - xaresource
        `pad` - pad
        `override` - override
        `productName` - product name
        `productVersion` - product version
        `jndiName` - jndi name
        `cr` - connectable resource
        `xastat` - The statistics

    - #### FirstResourceConnectableXAResourceWrapperStatImpl

          public FirstResourceConnectableXAResourceWrapperStatImpl(javax.transaction.xa.XAResource resource,
                                                                   boolean pad,
                                                                   java.lang.Boolean override,
                                                                   java.lang.String productName,
                                                                   java.lang.String productVersion,
                                                                   java.lang.String jndiName,
                                                                   org.jboss.tm.ConnectableResource cr,
                                                                   org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)

      Creates a new wrapper instance.
      Parameters:
        `resource` - xaresource
        `pad` - pad
        `override` - override
        `productName` - product name
        `productVersion` - product version
        `jndiName` - jndi name
        `cr` - connectable resource
        `xastat` - The statistics

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `ConnectableXAResourceWrapperStatImpl`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ConnectableXAResourceWrapperStatImpl`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)